Subject: Link errors.
From: [email-masked] (Chris Williams)

10 Mar 1997 11:08:28 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b2 (WinNT; I)
Original-To: Gnu-Win32 Mailing List <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

I've been trying to compile the Genesis ColdC driver with cygwin32, and
have finally gotten everything to compile without errors, but it goes to
link all the little object files, it gives me a whole shitload of errors
like this:

net.o: In function `grab_port':
/Genesis-1.0p24/src/net.c:228: undefined reference to `htons@4'
/Genesis-1.0p24/src/net.c:236: undefined reference to `socket@12'
/Genesis-1.0p24/src/net.c:243: undefined reference to `setsockopt@20'
/Genesis-1.0p24/src/net.c:246: undefined reference to `bind@12'

What are the little @numbers at the end, and why's this happening?
I'm including <Windows32/Sockets.h> in net.c, and I've messed around
with all the options in it which supposedly turn on winsock support..

-- 
                                  -Chris^`~'*.,_,.*'~`^P$iON-
-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS/CM/IT/M/S d-- s+: a15 C++++$ UL+ P L-- E? W++(+++) N+ o? K? w++++@
O--- M-- V- PS++ PE- Y+ PGP- t+ 5++ X+ R+ tv+ b++ DI+++ D+
G++ e* h! r y- 
------END GEEK CODE BLOCK------
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".